<?php 

/**
 * @package         TweetMe
 * @version         2.0.2 Free
 * 
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2020 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

defined('_JEXEC') or die;

$data = $displayData;
$text = 'Your text goes here..';

?>

<div class="nr">
	<h2 class="heading">Syntax</h2>
	<p>The syntax can be used wherever an HTML output is generated.</p>

	<h4 class="heading">Basic</h4>
	<code>{tweetme}<?php echo $text; ?>{/tweetme}</code>
	
	<h4 class="heading">Advanced</h4>
	<code>{tweetme param1=value|param2=value|param3=value}<?php echo $text; ?>{/tweetme}</code>

	<h2 class="heading">Components</h2>
	<p>Here is a list of all available components you can use.</p>

	<table class="table table-striped table-bordered">
		<thead>
			<tr>
				<th width="10%">Name</th>
				<th width="40%">Description</th>
				<th width="20%">Options</th>
				<th>Example</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>url</td>
				<td><?php echo JText::_("TWM_DESC_URL") ?></td>
				<td></td>
				<td><code>{tweetme url=http://www.tassos.gr}<?php echo $text; ?>{/tweetme}</code></td>
			</tr>
			<tr>
				<td>via<p><span class="badge badge-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_HANDLE_DESC") ?></td>
				<td></td>
				<td><code>{tweetme via=tassosm}<?php echo $text; ?>{/tweetme}</code></td>
			</tr>
			<tr>
				<td>related<p><span class="badge badge-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_RELATED_DESC") ?></td>
				<td></td>
				<td><code>{tweetme related=twitterhandlea,twitterhandleb}<?php echo $text; ?>{/tweetme}</code></code></td>
			</tr>
			<tr>
				<td>hashtags<p><span class="badge badge-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_HASHTAG_DESC") ?></td>
				<td></td>
				<td><code>{tweetme hashtags=value1,value2}<?php echo $text; ?>{/tweetme}</code></code></td>
			</tr>
			<tr>
				<td>mode <p><span class="badge badge-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_DISPLAY_MODE_DESC2") ?></td>
				<td>
					<span class="badge bg-info">box</span>
					<span class="badge bg-info">link</span>
					<span class="badge bg-info">image</span>
				</td>
				<td><code>{tweetme mode=link}<?php echo $text; ?>{/tweetme}</code></td>
			</tr>
			<tr>
				<td>theme <p><span class="badge badge-success proOnly">PRO Only</span></p></td>
				<td>
					<?php echo JText::_("TWM_THEME_DESC2") ?> 
				</td>
				<td>
					<p>Box mode themes</p>
					<span class="badge bg-info">t1_trans</span>
					<span class="badge bg-info">t1_white</span>
					<span class="badge bg-info">t1_light</span>
					<span class="badge bg-info">t1_dark</span>
					<span class="badge bg-info">t1_black</span>
					<span class="badge bg-info">t1_blue</span>
					<span class="badge bg-info">t2_trans</span>
					<span class="badge bg-info">t2_white</span>
					<span class="badge bg-info">t2_light</span>
					<span class="badge bg-info">t2_dark</span>
					<span class="badge bg-info">t2_black</span>
					<span class="badge bg-info">t2_blue</span>
					<span class="badge bg-info">t3_trans</span>
					<span class="badge bg-info">t3_white</span>
					<span class="badge bg-info">t3_blue</span>

					<p style="margin-top:20px;">Link mode themes</p>
					<span class="badge bg-info">cl_blue</span>
					<span class="badge bg-info">bg_white</span>
					<span class="badge bg-info">bg_light</span>
					<span class="badge bg-info">bg_dark</span>
					<span class="badge bg-info">bg_black</span>
					<span class="badge bg-info">bg_blue</span>
					<span class="badge bg-info">bg_yellow</span>
					<span class="badge bg-info">none</span>

					<p style="margin-top:20px;">Image mode themes</p>
					<span>Currently there is only 1 Image mode theme</span>
				</td>
				<td>
					<code>{tweetme theme=t3_blue}<?php echo $text; ?>{/tweetme}</code>
					<br><br>or<br><br>
					<code>{tweetme mode=link|theme=bg_yellow}<?php echo $text; ?>{/tweetme}</code>
					<br><br>or<br><br>
					<code>{tweetme mode=image|image=images/logo.jpg}<?php echo $text; ?>{/tweetme}</code>
				</td>
			</tr>
			<tr>
				<td>font <p><span class="badge badge-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_FONT_DESC") ?> </td>
				<td>
					<p>Standard Fonts</p>
					<span class="badge bg-info">Arial</span>
					<span class="badge bg-info">Georgia</span>
					<span class="badge bg-info">Sans Serif</span>
					
					<p style="margin-top:20px;">Google Fonts</p>
					<span class="badge bg-info">Roboto</span>
					<span class="badge bg-info">Open Sans</span>
					<span class="badge bg-info">Lato</span>
					<span class="badge bg-info">Lora</span>
					<span class="badge bg-info">Oswald</span>
					<span class="badge bg-info">Montserrat</span>
					<span class="badge bg-info">Source Sans PRO Only</span>
					<span class="badge bg-info">Raleway</span>
					<span class="badge bg-info">PT Sans</span>
					<span class="badge bg-info">Droid Sans</span>
					<span class="badge bg-info">Ubuntu</span>
					<span class="badge bg-info">Fjalla One</span>
				</td>
				<td>
					<code>{tweetme font=Lato}<?php echo $text; ?>{/tweetme}</code>
					<br><br>or<br><br>
					<code>{tweetme font=Open Sans}<?php echo $text; ?>{/tweetme}</code>
				</td>
			</tr>
			<tr>
				<td>buttontext</td>
				<td><?php echo JText::_("TWM_BUTTON_TEXT_DESC") ?></td>
				<td></td>
				<td><code>{tweetme buttontext=Please Share!}<?php echo $text; ?>{/tweetme}</code></td>
			</tr>
		</tbody>
	</table>
</div>

<style>
	.nr h2 {
		margin-top:0;
	}
	.nr .heading, .nr table {
		margin:25px 0 10px 0;
	}
	.nr code {
		padding: 6px;
		background-color: #f1f1f1;
		font-family: monospace;
	}
	.options-form {
		padding:0;
		border:none;
		margin:0;
	}

	legend {
		display:none;
	}

</style>